// ---------------------------------------------------------------------
// house1.inc
// aligned z =NS
// 0,0 = garage NW corner
// instantiate with elevation

#declare r2d= 45.0 / atan2( 1.0, 1.0 );

#declare house = union {
   /* fake marker
   merge { 
      box { < -999, 50, -115 >, < 999, 50.01, -116 > pigment{ Gray90 } }
      box { < -999, 50, -116 >, < 999, 50.01, -117 > pigment{ Gray80 } }
      finish { ambient 2.0 diffuse 2.0 } }
   */
   merge { 
      box { <   0, -200,    0 >, < 300, 120, -266 > } // garage
      box { < 126, -200, -176 >, < 438, 120, -866 > } // main house 
      box { < 127, -200, -308 >, < 486, 120, -572 > } // living room
      pigment{ color red 0.8 green 0.6 blue 0.5 }
      finish { ambient 0.5 diffuse 0.7 } 
   }
   merge {   // roof  1 in 4 pitch  roof overlaps house 20 inches
     // < -20,   20 >  < 320, -286 >  
     intersection { 
        prism { linear_sweep  linear_spline -999, 999, 4,     // ns
           <  -20,    0 >, <  320,    0>, <   150,  42.50 >,
           <  -20,    0 >                                  rotate -90*x }
        prism { linear_sweep  linear_spline -999, 999, 4,     // ew
           <    0,   20 >, <    0, -286>, < -38.25,  -133 >,
           <    0,   20 >                                  rotate -90*z }
     }
     // < 106, -156 >  < 458, -886 >
     intersection { 
        prism { linear_sweep  linear_spline -999, 999, 4,      
           <  106,    0 >, <  458,    0>, <   282,  44.00 >,
           <  106,    0 >                                  rotate -90*x }
        prism { linear_sweep  linear_spline -999, 999, 4,     
           <    0, -156 >, <    0, -886>, < -91.25,  -521 >,
           <    0, -156 >                                  rotate -90*z }
     }
     // < 106, -288 >  < 506, -592 >
     intersection { 
        prism { linear_sweep  linear_spline -999, 999, 4,      
           <  107,    0 >, <  506,    0>, <   306,  50.00 >,
           <  107,    0 >                                  rotate -90*x }
        prism { linear_sweep  linear_spline -999, 999, 4,     
           <    0, -288 >, <    0, -592>, <  -38,    -440 >,
           <    0, -288 >                                  rotate -90*z }
     }
     translate < 0, 120, 0 >  // raise roof
     pigment { Gray } finish { ambient 0.2 diffuse 0.7 }
   }
}

object { house  translate < -911, 60, 42.0 >  }

